﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using System.IO;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {          
            return View();
        }       
        [HttpPost]
        public IActionResult Default(string name)
        {
            string urltoConvert = name;

            //Create client from service
            ServiceReference1.Service1Client client = new ServiceReference1.Service1Client();

            //Get the ouput data in bas64 format
            MemoryStream inStream = new MemoryStream();

            StreamWriter writer = new StreamWriter(inStream);
            writer.Write(urltoConvert);
            writer.Flush();
            inStream.Position = 0;
            
            //ServiceReference1.GeneratePdfRequest re = new ServiceReference1.GeneratePdfRequest(urltoConvert);
            string outputData = client.GeneratePdfAsync(urltoConvert).Result;

            MemoryStream outStream = new MemoryStream(Convert.FromBase64String(outputData));
            outStream.Position = 0;
            return File(outStream, "application/pdf", "HTMLtoPDF.pdf");
        }
        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }
}
